/* ========== LAYOUT ELEMENTS ========== */
/*PAGE*/
[dir="rtl"]{
	text-align: right;
}

[dir="rtl"] .BN-row{
	flex-direction: row-reverse;	
}	


/*ROW*/

/*.row-gutters*/
.BN-row.row-gutters-off .BN-col{
	margin-right: 0;
}

.BN-row.row-gutters-off .BN-col:last-child{
	margin-right: 0;
}

.BN-row.row-gutters-small .BN-col{
	margin-right: 3%;
}

.BN-row.row-gutters-small .BN-col:last-child{
	margin-right: 0;
}

.BN-row.row-gutters-medium .BN-col{
	margin-right: 5%;
}

.BN-row.row-gutters-medium .BN-col:last-child{
	margin-right: 0;
}

.BN-row.row-gutters-large .BN-col{
	margin-right: 7%;
}

.BN-row.row-gutters-large .BN-col:last-child{
	margin-right: 0;
}


@media only screen and (max-width: 815px)  {
	.BN-row.row-gutters-off .BN-col{
	margin-right: 2.5% !important;
	}

	/* If gutters are enabled then each column will take the full width of the mobile screen */
	
	.BN-row.row-gutters-small .BN-col{
	margin-right: 0% !important;
	flex-basis: 100% !important;
	}
	
	.BN-row.row-gutters-medium .BN-col{
	margin-right: 0 !important;
	flex-basis: 100% !important;
	}
	
	.BN-row.row-gutters-large .BN-col{
	margin-right: 0 !important;
	flex-basis: 100% !important;
	}
}

/*Equal Row Height */
.BN-row.row-height-off .BN-col{
	align-self: flex-start;
}

.BN-row.row-height-on .BN-col{
	align-self: auto;
}

/*COLUMN*/


.padding-none{
	padding-top: 0;
	padding-bottom: 0;
	padding-left: 0;
	padding-right: 0;
}

.padding-small{
	padding-top: 10px;
	padding-bottom: 10px;
	padding-left: 10px;
	padding-right: 10px;
}

.padding-medium{
	padding-top: 20px;
	padding-bottom: 20px;
	padding-left: 20px;
	padding-right: 20px;
}

.padding-large{
	padding-top: 40px;
	padding-bottom: 40px;
	padding-left: 40px;
	padding-right: 40px;
}


@media only screen and (max-width: 815px)  {
.BN-col-inner.padding-small{
	padding-top: 1.5%;
	padding-bottom: 1.5%;
	padding-left: 1.5%;
	padding-right: 1.5%;
}

.BN-col-inner.padding-medium{
	padding-top: 2%;
	padding-bottom: 2%;
	padding-left: 2%;
	padding-right: 2%;
}

.BN-col-inner.padding-large{
	padding-top: 2.5%;
	padding-bottom: 2.5%;
	padding-left: 2.5%;
	padding-right: 2.5%;
}
	}


/* ========== CARD ELEMENTS ========== */

/*CARD - BUTTON*/
.card-button.button-center{
	text-align: center;
}

.card-button.button-center a{
	margin-left: auto;
	margin-right: auto;
}

.card-button.button-right{
	margin-left: auto !important;
}

.BN-strip .card-button.button-right, .BN-box .card-button.button-right, .BN-col .card-button.button-right{
	text-align:right;
	margin-left:auto !important;
}

.card-button a.button-square {
	border-radius: 0;
	border:2px solid;
}

.card-button a.button-round {
	border-radius: 100px;
	border:2px solid;
}

/*CARD - IMAGE*/
.card-image.image-left{
	text-align: left;
}

.card-image.image-center{
	text-align: center;
}

.card-image.image-right{
	text-align: right;
}

/*CARD - GALLERY */


/*.gallery-one = displays 1 image per line*/
.BN-card.card-gallery.gallery-one{
	display: flex;
	flex-flow: column wrap;
}

.BN-card.card-gallery.gallery-one .BN-item{
	font-size: 0;
}

.BN-card.card-gallery.gallery-one.gallery-gutters .BN-item{
	margin: 0 0 1.5% 0;
}

.BN-card.card-gallery.gallery-one.gallery-gutters .BN-item:last-child{
	margin-bottom: 0;
}

/*.gallery-two = displays 2 images per line*/
.BN-card.card-gallery.gallery-two .BN-item{
	width:50%;
}

.BN-card.card-gallery.gallery-two.gallery-gutters .BN-item{
	width:48.5%;
	margin: 1.5% 1.5% 0 0;
}

.BN-card.card-gallery.gallery-two.gallery-gutters .BN-item:nth-child(2),
.BN-card.card-gallery.gallery-two.gallery-gutters .BN-item:nth-child(1){
	margin-top: 0;
}

.BN-card.card-gallery.gallery-two.gallery-gutters .BN-item:last-child,
.BN-card.card-gallery.gallery-two.gallery-gutters .BN-item:nth-child(2n+2){
	margin-right: 0;
}

.BN-card.card-gallery.gallery-two.gallery-gutters .BN-item:last-child{
	margin-right: 0;
}

/*.gallery-three = displays 3 images per line*/
.BN-card.card-gallery.gallery-three .BN-item{
	width:33.333%;
}

.BN-card.card-gallery.gallery-three.gallery-gutters .BN-item{
	width:32.6667%;
	margin: 1% 1% 0 0;
}

.BN-card.card-gallery.gallery-three.gallery-gutters .BN-item:nth-child(3n+3){
	margin-right: 0;
}

.BN-card.card-gallery.gallery-three.gallery-gutters .BN-item:nth-child(1),
.BN-card.card-gallery.gallery-three.gallery-gutters .BN-item:nth-child(2),
.BN-card.card-gallery.gallery-three.gallery-gutters .BN-item:nth-child(3){
	margin-top: 0;
}

.BN-card.card-gallery.gallery-three.gallery-gutters .BN-item:nth-child(3n+3),
.BN-card.card-gallery.gallery-three.gallery-gutters .BN-item:last-child{
	margin-right: 0;
}

/*.gallery-four = displays 4 images per line*/
.BN-card.card-gallery.gallery-four .BN-item{
	width:25%;
}

.BN-card.card-gallery.gallery-four.gallery-gutters .BN-item{
	width:24.25%;
	margin: 1% 1% 0 0;
}

.BN-card.card-gallery.gallery-four.gallery-gutters .BN-item:nth-child(1),
.BN-card.card-gallery.gallery-four.gallery-gutters .BN-item:nth-child(2),
.BN-card.card-gallery.gallery-four.gallery-gutters .BN-item:nth-child(3),
.BN-card.card-gallery.gallery-four.gallery-gutters .BN-item:nth-child(4){
	margin-top: 0;
}

.BN-card.card-gallery.gallery-four.gallery-gutters .BN-item:nth-child(4n+4),
.BN-card.card-gallery.gallery-four.gallery-gutters .BN-item:last-child{
	margin-right: 0;
}

/*.gallery-uniform*/
.BN-card.card-gallery.gallery-uniform .BN-item img{
height: 100%;
width: 100%;
object-fit: cover;
}

/*.gallery-varied*/
.BN-card.card-gallery.gallery-varied .BN-item img{
height: auto;
width: 100%;
object-fit:fill;
}

/*CARD - VIDEO */

.BN-card.card-video .BN-vid-container{
	position: relative;
	padding-top: calc(9 / 16 * 100%);            
}

.BN-card.card-video.BN-video-landscape .BN-vid-container{
	position: relative;
	padding-top: calc(9 / 16 * 100%);            
}

.BN-card.card-video.BN-video-portrait .BN-vid-container{
	position: relative;
	padding-top: calc(16 / 9 * 100%);            
}

.BN-card.card-video.BN-video-square .BN-vid-container{
	position: relative;
	padding-top: calc(1 / 1 * 100%);            
}


/*CARD - TEXT */
.BN-card.card-text.spacing-single *{line-height: 1.2;}
.BN-card.card-text.spacing-onepointfive *{line-height: 1.4;}
.BN-card.card-text.spacing-double *{line-height: 1.8;}

/*CARD - DIVIDER*/
.BN-card.card-divider hr.divider-solid{ border-bottom-style:solid; }
.BN-card.card-divider hr.divider-dotted{ border-bottom-style:dotted; }
.BN-card.card-divider hr.divider-dashed{ border-bottom-style: dashed; } 
.BN-card.card-divider hr.align-center{ margin-left: auto; margin-right: auto; } 
.BN-card.card-divider hr.align-left{ margin-left: 0; margin-right: 0; } 
.BN-card.card-divider hr.align-right{ margin-left: auto; margin-right: 0; } 

/*CARD - CHECKLIST*/

/*.borders = adds a separating border between list items*/
.BN-card.card-checklist.checklist-borders ul{

}

.BN-card.card-checklist.checklist-borders ul li{
	border-bottom: 1px solid #ececec;
}

.BN-card.card-checklist.checklist-borders ul li:first-child{
	border-top:none;	
}

.BN-card.card-checklist.checklist-borders ul li:last-child{
	border-bottom:none;
	padding-bottom: 0;
	margin-bottom: 0;
}

.BN-card.card-checklist.checklist-borders ul li span{
	padding-top: 15px;
	padding-bottom: 15px;
}

.BN-card.card-checklist.checklist-borders ul li:first-child span{
	padding-top: 0;
}

.BN-card.card-checklist.checklist-borders ul li:last-child span{
	padding-bottom: 0;
}

/*.inline = list reads left to right instead of top to bottom*/
.BN-card.card-checklist.checklist-inline ul{
	display: initial;
}

.BN-card.card-checklist.checklist-inline ul li{
	display: inline-block;
	margin-right: 20px;
	padding-bottom: 15px;
	border-bottom: none;
}

.BN-card.card-checklist.checklist-inline ul li span{
	display: initial;
	padding-right: 10px;
}

.BN-card.card-checklist.checklist-inline ul li:last-child{
	margin-right: 0;
}

/*CARD - ICONS*/
.BN-card.card-icons.icons-square li{
	border:1px solid;
	padding: 3%;
}

.BN-card.card-icons.icons-round li{
	border:1px solid;
	border-radius: 70%;
	padding: 3%;
}

.BN-card.card-icons.icons-group li{
	border-top:1px solid;
	border-bottom:1px solid;
	border-left: 1px solid;
	padding: 3%;
	margin-left: -5px;
}

.BN-card.card-icons.icons-group li:last-child{
	border-right:1px solid;
}

.BN-card.card-icons.icons-group li:first-child{
	margin-left: 0;
}

/*CARD - Table of Contents*/	

.BN-card.card-toc ol.toc-spacing-none li{padding-bottom:0;}
.BN-card.card-toc ol.toc-spacing-small li{padding-bottom:10px;}
.BN-card.card-toc ol.toc-spacing-small li:last-child{padding-bottom:0;}
.BN-card.card-toc ol.toc-spacing-medium li{padding-bottom:20px;}
.BN-card.card-toc ol.toc-spacing-medium li:last-child{padding-bottom:0;}
.BN-card.card-toc ol.toc-spacing-large li{padding-bottom:30px;}
.BN-card.card-toc ol.toc-spacing-large li:last-child{padding-bottom:0;}

.BN-card.card-toc ol.toc-type-none {list-style-type: none;}
.BN-card.card-toc ol.toc-type-none li{margin-left: 0;}
.BN-card.card-toc ol.toc-type-number {list-style-type: decimal;}
.BN-card.card-toc ol.toc-type-disc{list-style-type: disc;}
.BN-card.card-toc ol.toc-type-circle{list-style-type: circle;} 

.BN-card.card-toc ol{column-rule:1px solid;}
.BN-card.card-toc ol.toc-cols-one{column-count:1;}
.BN-card.card-toc ol.toc-cols-two{column-count:2; column-gap:60px;}
.BN-card.card-toc ol.toc-cols-three{column-count:3; column-gap:40px;}
.BN-card.card-toc ol li{break-inside:avoid;}


/* USE THIS SECTION IF YOU DECIDE TO DO TOC ITEMS AS INDVIDUAL BLOCKS
	
.BN-card.card-toc ol.toc-spacing-none li{margin-bottom:0;}
.BN-card.card-toc ol.toc-spacing-small li{margin-bottom:10px;}
.BN-card.card-toc ol.toc-spacing-small li:last-child{margin-bottom:0;}
.BN-card.card-toc ol.toc-spacing-medium li{margin-bottom:20px;}
.BN-card.card-toc ol.toc-spacing-medium li:last-child{margin-bottom:0;}
.BN-card.card-toc ol.toc-spacing-large li{margin-bottom:30px;}
.BN-card.card-toc ol.toc-spacing-large li:last-child{margin-bottom:0;}

.BN-card.card-toc ol.toc-type-none {list-style-type: none;}
.BN-card.card-toc ol.toc-type-none li{margin-left: 0;}

.BN-card.card-toc ol.toc-type-number {counter-reset: toc; list-style: none;}
.BN-card.card-toc ol.toc-type-number li{margin-left: 0;}
.BN-card.card-toc ol.toc-type-number li:before{counter-increment: toc; content: counter(toc) ". ";}

.BN-card.card-toc ol.toc-type-disc{list-style-type: none;}
.BN-card.card-toc ol.toc-type-disc li{margin-left: 0;}
.BN-card.card-toc ol.toc-type-disc li:before{content:'\2022'; margin-right: 10px;}

.BN-card.card-toc ol.toc-type-circle{list-style-type: none;}
.BN-card.card-toc ol.toc-type-circle li{margin-left: 0;}
.BN-card.card-toc ol.toc-type-circle li:before{content:'\25CB'; margin-right: 10px;}

.BN-card.card-toc ol{}
.BN-card.card-toc ol.toc-items-one{display: flex; flex-direction: column;}
.BN-card.card-toc ol.toc-items-two{display: flex; flex-direction: row; flex-wrap: wrap; justify-content: space-between;}
.BN-card.card-toc ol.toc-items-two li{flex-basis: 48%; margin-bottom: 20px; padding: 10px;}
.BN-card.card-toc ol.toc-items-three{display: flex; flex-direction: row; flex-wrap: wrap; justify-content: space-between;}
.BN-card.card-toc ol.toc-items-three li{flex-basis: 31%; margin-bottom: 20px; padding: 10px;}

*/
	

/*CARD - WRKSHT*/
.BN-card.card-worksheet.worksheet-lined label{
	display: inline-block;
	margin-bottom: 44px;
}

.BN-card.card-worksheet.worksheet-lined textarea{
	border:none;
	background: linear-gradient(
		to bottom,
		#ccc,
		#ccc 1px,
		#fff 1px,
		#fff
	);
	background-size: 100% 44px;
	height: 1px;
}
